org.apache.fop.fonts.type1

## Class Type1SubsetFile.BinaryCoder

- java.lang.Object
- - org.apache.fop.fonts.type1.Type1SubsetFile.BinaryCoder

- Enclosing class:
    Type1SubsetFile

      public static class Type1SubsetFile.BinaryCoder
      extends java.lang.Object

  A class to encode and decode sections of a type 1 font file. See Adobe Type 1 Font Format Section 7.2 for more details.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryCoder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `decodeBytes(byte[] in, int inR, int n)`
    `static byte[]` | `encodeBytes(byte[] in, int inR, int n)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryCoder

          public BinaryCoder()

  - ### Method Detail

    - #### decodeBytes

          public static byte[] decodeBytes(byte[] in,
                                           int inR,
                                           int n)

    - #### encodeBytes

          public static byte[] encodeBytes(byte[] in,
                                           int inR,
                                           int n)

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.